# Update a custom entity record.

Endpoint: PUT /customEntity/entity
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `entityId` (string)
    Entity ID

  - `recordId` (string)
    Record ID

  - `entityType` (string)
    Entity type (required)

## Request fields (application/json):

  - `id` (string)
    row id, internally generated id, unique for an entity within entity type

  - `entityId` (string)
    Id of the instance, user provided

  - `name` (string)
    Standard name field, every entity must have a name such that default tabular view of entity could be created.

  - `detail` (string)
    Optional detail field, entity may have detail field to show in tabular view

  - `type` (string, required)
    Type of the instance, Id of the CustomEntitySpec to which this instance belongs

  - `values` (object)
    Attribute values

  - `createdTime` (string)
    Created time for the custom entity instance

  - `createdTimeInMillis` (integer)

  - `modifiedTime` (string)
    Last modified time for the custom entity instance

  - `modifiedTimeInMillis` (integer)

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

